package com.supervision.knowsub.controller.homepage;

import com.supervision.knowsub.entity.vo.homepage.MyKnowledgeStatisticsResVO;
import com.supervision.knowsub.service.HomepageService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Tag(name = "首页")
@RestController
@RequestMapping("homepage")
@RequiredArgsConstructor
public class HomepageController {

    private final HomepageService homepageService;

    @Operation(summary = "查询我的知识")
    @GetMapping("queryMyKnowledge")
    public MyKnowledgeStatisticsResVO queryMyKnowledgeStatistics(){
        return homepageService.queryMyKnowledgeStatistics();
    }
}
