package com.supervision.knowsub.entity.vo.knowledge;

import cn.hutool.core.date.DateTime;
import com.supervision.knowsub.model.KnowledgeInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.util.List;

@Data
public class SaveKnowledgeReqVO {

    @Schema(description = "操作类型 1草稿 2提交")
    @Max(value = 2, message = "操作类型 1草稿 2提交")
    @Min(value = 1, message = "操作类型 1草稿 2提交")
    private Integer operate;

    @Schema(description = "应用子库ID")
    private String baseId;

    @Schema(description = "标题")
    private String title;

    @Schema(description = "HTML富文本的内容")
    private String content;

    @Schema(description = "摘要")
    private String excerpt;

    @Schema(description = "相关附件列表 file_info表ID")
    private List<String> fileIdList;

    @Schema(description = "链接列表")
    private List<KnowledgeLinkVO> linkList;

    @Schema(description = "发布部门Id")
    private String publishDeptId;

    @Schema(description = "提交审批的备注")
    private String remark;



    @Schema(description = "知识的基础信息")
    private KnowledgeInfo knowledgeInfo;

}
