package com.supervision.knowsub.config;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;

@Configuration
public class WebConfig implements WebMvcConfigurer {


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 添加权限拦截器
        registry.addInterceptor(new JwtInterceptor())
                .addPathPatterns("/**")
                .excludePathPatterns(ignorePathPatterns());
    }

    public List<String> ignorePathPatterns() {
        List<String> paths = new ArrayList<>();
        paths.add("/swagger-resources/**");
        paths.add("/webjars/**");
        paths.add("/v3/**");
        paths.add("/swagger-ui.html/**");
        paths.add("/swagger-ui/**");
        paths.add("/webjars/");
        paths.add("/doc.html/**");
        paths.add("/error");
        paths.add("/favicon.ico");
        paths.add("/user/login");
        paths.add("/user/register");
        paths.add("/user/changePassWord");
        paths.add("/user/checkAccount");
        paths.add("/webSocket/**");
        paths.add("/ask/downloadTalkVideo");
        paths.add("/file/downloadFile");
        paths.add("/aqLibrary/downloadQuestionLibraryTemplate");
        paths.add("/medicalRecManage/downloadMedicalAnswerTemplate");
        paths.add("/qaKnowledge/**");
        // 开发环境,放开不校验token.每次修改这里需要重启(热部署不行)
        //paths.add("/**");
        return paths;
    }


}
