package com.supervision.knowsub.dto.user;

import com.supervision.knowsub.dto.role.UserRoleDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;


@Data
public class UserInfoDTO {

    @Schema(description = "用户id")
    private String id;

    @Schema(description = "头像id")
    private String headPicId;

    @Schema(description = "用户账户")
    private String account;

    @Schema(description = "用户名称")
    private String username;

    @Schema(description = "用户角色编码，0管理员 1普通用户")
    private List<UserRoleDTO> userRoleList;

    @Schema(description = "人员所属部门ID")
    private String deptId;

    @Schema(description = "人员所属部门名称")
    private String deptName;

    @Schema(description = "账号状态 0正常 1停用")
    private Integer status;

    @Schema(description = "备注")
    private String remark;

}
