package com.supervision.knowsub.dto.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

@Data
@Builder
public class UserPageQuery {

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "部门ID")
    private String deptId;

    @Schema(description = "排除的用户ID列表")
    private List<String> excludeUserIdList;

    @Tolerate
    public UserPageQuery() {
    }
}
