package com.supervision.knowsub.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.model.KnowledgeFlowRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.knowsub.vo.knowledge.KnowledgeFlowResVO;
import org.apache.ibatis.annotations.Param;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author Administrator
 * @description 针对表【ks_knowledge_flow_record(知识报送审批记录表)】的数据库操作Mapper
 * @createDate 2024-06-24 11:35:15
 * @Entity com.supervision.knowsub.model.KnowledgeFlowRecord
 */
public interface KnowledgeFlowRecordMapper extends BaseMapper<KnowledgeFlowRecord> {

    IPage<KnowledgeFlowResVO> queryKnowledgeFlowTodoPage(
            @Param("userId") String userId,
            @Param("title") String title,
            @Param("publishDeptId") String publishDeptId,
            @Param("baseId") String baseId,
            @Param("submitDeptId") String submitDeptId,
            @Param("flowType") Instant flowType,
            @Param("publishDateBegin") LocalDate publishDateBegin,
            @Param("publishDateEnd") LocalDate publishDateEnd,
            @Param("submitDateBegin") LocalDate submitDateBegin,
            @Param("submitDateEnd") LocalDate submitDateEnd,
            Page<KnowledgeFlowResVO> page);

    IPage<KnowledgeFlowResVO> queryKnowledgeFlowCompletePage(@Param("userId") String userId,
                                                             @Param("title") String title,
                                                             @Param("publishDeptId") String publishDeptId,
                                                             @Param("baseId") String baseId,
                                                             @Param("submitDeptId") String submitDeptId,
                                                             @Param("flowType") Instant flowType,
                                                             @Param("publishDateBegin") LocalDate publishDateBegin,
                                                             @Param("publishDateEnd") LocalDate publishDateEnd,
                                                             @Param("submitDateBegin") LocalDate submitDateBegin,
                                                             @Param("submitDateEnd") LocalDate submitDateEnd,
                                                             Page<KnowledgeFlowResVO> page);

    Long queryPassProcessCountByUser(@Param("userId") String userId, @Param("processStatus") Integer processStatus, @Param("knowledgeStatus") Integer knowledgeStatus);

}




