package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 知识报送审批记录表
 * @TableName ks_knowledge_flow_record
 */
@TableName(value ="ks_knowledge_flow_record")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KnowledgeFlowRecord implements Serializable {
    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 记录类型 1发起 2审批
     */
    private Integer type;

    /**
     * 知识ID(对应submitted_id)
     */
    private String knowledgeId;

    /**
     * 流程实例ID
     */
    private String flowInstanceId;

    /**
     * 流程ID
     */
    private String flowId;

    /**
     * 审批类型 1知识报送 2:知识撤回 3 知识删除
     */
    private Integer flowType;

    /**
     * 流程对应的流转规则节点ID
     */
    private String flowRuleId;

    /**
     * 流程流转的顺序排序
     */
    private Integer flowRuleOrder;

    /**
     * 操作名称
     */
    private String processName;

    /**
     * 审批结果,1通过 2驳回
     */
    private Integer processStatus;

    /**
     * 审批人ID
     */
    private String processUserId;

    /**
     * 审批人所在部门
     */
    private String processDeptId;

    /**
     * 审批时间
     */
    private LocalDateTime processTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 提交人ID
     */
    private String submitUserId;

    /**
     * 提交人所在部门
     */
    private String submitDeptId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}