package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * 流程规则的审批人表
 * @TableName ks_system_flow_rule_user
 */
@TableName(value ="ks_system_flow_rule_user")
@Data
public class SystemFlowRuleUser implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程ID
     */
    private String flowId;

    /**
     * 规则ID
     */
    private String ruleId;

    /**
     * 对应的审批人ID(system_user:id)
     */
    private String userId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}