package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 角色表
 * @TableName ks_system_role
 */
@TableName(value ="ks_system_role")
@Data
public class SystemRole implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 角色类型
     */
    private String roleName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否是管理员角色 0否 1是
     */
    private Integer roleType;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}