package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.dto.knowledge.CheckInvalidDTO;
import com.supervision.knowsub.model.Knowledge;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.knowsub.vo.knowledge.KnowledgePageResVO;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author Administrator
 * @description 针对表【ks_knowledge(知识表)】的数据库操作Service
 * @createDate 2024-06-24 11:35:15
 */
public interface KnowledgeService extends IService<Knowledge> {

    /**
     * 分页查询知识
     *
     * @param pageNum  pageNum
     * @param pageSize pageSize
     * @return IPage<Knowledge>
     */
    IPage<KnowledgePageResVO> queryKnowledgePage(Integer status,
                                                 String title,
                                                 String publishDeptId,
                                                 String baseId,
                                                 String submitDeptId,
                                                 LocalDate publishDateBegin,
                                                 LocalDate publishDateEnd,
                                                 LocalDate submitDateBegin,
                                                 LocalDate submitDateEnd, String userId, Integer pageNum, Integer pageSize);

    List<CheckInvalidDTO> queryKnowledgeInvalidList();

}
