package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.dto.knowledge.CheckInvalidDTO;
import com.supervision.knowsub.model.Knowledge;
import com.supervision.knowsub.service.KnowledgeService;
import com.supervision.knowsub.mapper.KnowledgeMapper;
import com.supervision.knowsub.vo.knowledge.KnowledgePageResVO;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author Administrator
 * @description 针对表【ks_knowledge(知识表)】的数据库操作Service实现
 * @createDate 2024-06-24 11:35:15
 */
@Service
public class KnowledgeServiceImpl extends ServiceImpl<KnowledgeMapper, Knowledge>
        implements KnowledgeService {

    @Override
    public IPage<KnowledgePageResVO> queryKnowledgePage(Integer status,
                                                        String title,
                                                        String publishDeptId,
                                                        String baseId,
                                                        String submitDeptId,
                                                        LocalDate publishDateBegin,
                                                        LocalDate publishDateEnd,
                                                        LocalDate submitDateBegin,
                                                        LocalDate submitDateEnd,
                                                        String userId, Integer pageNum, Integer pageSize) {
        return this.baseMapper.queryKnowledgePage(status, title, publishDeptId, baseId, submitDeptId, publishDateBegin, publishDateEnd, submitDateBegin, submitDateEnd, userId, new Page<>(pageNum, pageSize));
    }

    @Override
    public List<CheckInvalidDTO> queryKnowledgeInvalidList() {
        return this.baseMapper.queryKnowledgeInvalidList();
    }
}




