package com.supervision.knowsub.vo.knowledge;

import com.supervision.knowsub.model.Knowledge;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

@EqualsAndHashCode(callSuper = true)
@Data
public class KnowledgePageResVO extends Knowledge {

    @Schema(description = "应用子库名称")
    private String baseName;
    @Schema(description = "报送部门名称")
    private String submitDeptName;
    @Schema(description = "发文部门名称")
    private String publishDeptName;

    @Schema(description = "是否支持删除 0不支持 1支持")
    private Integer deleteFlag = 0;

    @Schema(description = "是否支持修改 0不支持 1支持")
    private Integer modifyFlag = 0;

    @Schema(description = "是否支持撤回 0不支持 1支持")
    private Integer recallFlag = 0;

    @Schema(description = "时效性 1长期有效 2临时有效")
    private Integer timeliness;

    @Schema(description = "政策类型")
    private String policyType;

    @Schema(description = "发文时间")
    private LocalDate publishDate;
}
